<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.discovery.ui.client.DiscoveryAdminClient" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>

<%
    String proxyName = request.getParameter("proxy");
    if (proxyName != null) {
        try {
            String backendServerURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
            ConfigurationContext configContext =
                    (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
            String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
            DiscoveryAdminClient client = new DiscoveryAdminClient(
                    configContext, backendServerURL, cookie, request.getLocale());
            client.removeDiscoveryProxy(proxyName);
            session.setAttribute("discoveryInfo", "wsd.proxy.delete.success");

        } catch (Exception e) {
            CarbonUIMessage.sendCarbonUIMessage(e.getMessage(), CarbonUIMessage.ERROR, request, e);
%>
        <script type="text/javascript">
               location.href = "../admin/error.jsp";
        </script>
<%
        }
        
    } else {
        session.setAttribute("discoveryError", "wsd.proxy.name.null");
    }

%>

<script type="text/javascript">
    window.location.href = 'index.jsp?region=region1&item=ws_discovery_menu';
</script>